# R package name (pkg) version (ver) R release (rrel) and RPM release (rel)
%define pkg chron
%define ver 2.1
%define rrel 6
%define rel 3

Name: R-%{pkg}
Summary: R-package: Chronological Objects which Can Handle Dates and Times
Group: Applications/Engineering
Copyright: Copyright (c) 1997 Lucent Technologies. See file "COPYING".
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
URL: http://cm.bell-labs.com/cm/ms/departments/sia/project/misc/chron.html
BuildRoot: /var/tmp/R-%{pkg}
Version: %{ver}.R%{rrel}
Release: %{rel}
Source: ftp://ftp.ci.tuwien.ac.at/pub/R/src/contrib/%{pkg}_%{ver}-%{rrel}.tar.gz
Requires: R-base
Excludearch: sparc

%description
Chronological Objects which Can Handle Dates and Times

S original by David James <dj@research.bell-labs.com>,
R port by Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>.

%changelog
* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1 on alpha and i386

* Tue May 11 1999 Cristian Gafton <gafton@redhat.com>
- pre and post should be quiet

* Wed Apr 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- new version
- built into powertools, new group, etc.

%prep
%setup -c

# --------------- Don't change anything below this line --------------

%build
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f %{pkg}/src/*.o
rm -f %{pkg}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library %{pkg}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls %{pkg}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive %{pkg}/${docfile} doc/;;
   esac
done

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/%{pkg}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/%{pkg}
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/LibIndex
rm -rf ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX > /dev/null 2>&1

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX > /dev/null 2>&1
fi
